<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# adm

	system::adm();

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if($id == 1)system::header('/admin/users','Ебалунся ID 1 банить?!');

	$act = DB :: $dbh -> queryFetch("SELECT CK FROM user WHERE id = ? LIMIT 1;", array($id));  

	if (cache_user::ch($act['CK']) === false)system::header('/admin/users','Ошибка, ID не найден');

	$act = cache_user::check($act['CK']);

	if($act['admin'] == 1)system::header('/admin/users','Ебалунся ADM банить?!');
	
	$ban = ($act['ban'] == 1 ? 0:1);

	$message = '
	Ваш аккаунт '.$act['login'].' '.($act['ban'] == 1 ? 'разблокирован':'заблокирован').' в рейтинге сайтов '.domain.'</br></br>
	С уважением, администрация рейтинга '.domain.'.	
	';	
	
	mail::send($act['email'], ''.domain.' Системное оповещение ', ''.$message.'');	

	DB :: $dbh -> query("UPDATE user SET ban = ? WHERE id = ? LIMIT 1;", array($ban,$id));	

	cache_user::save($act['CK']);			

	system::header('/admin/users','Успешно',1,1);

?>